Package twisted :: Package spread :: Module banana :: Class Pynana

[frames | no frames]

## Class Pynana

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                      Pynana

Known Subclasses:
  `Canana`

Method Summary
| `__init__(self, isClient)`
| `_encode(self, obj, write)`
| `_selectDialect(self, dialect)`
| `callExpressionReceived(self, obj)`
| ``connectionMade`(self)` Called when a connection is made.
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| `dataReceived(self, chunk)`
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `gotItem(self, item)`
| `sendEncoded(self, obj)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`list` | `knownDialects` = `['pb', 'none']`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### connectionReady(self)

Surrogate for connectionMade Called after protocol negotiation.

### expressionReceived(self, lst)

Called when an expression (list, string, or int) is received.

Class Variable Details

### buffer

  Type:
    `str`
  Value:

        ''

### incomingVocabulary

  Type:
    `dict`
  Value:

        {1: 'None',
         2: 'class',
         3: 'dereference',
         4: 'reference',
         5: 'dictionary',
         6: 'function',
         7: 'instance',
         8: 'list',
        ...

### k

  Type:
    `str`
  Value:

        'lcache'

### knownDialects

  Type:
    `list`
  Value:

        ['pb', 'none']

### outgoingVocabulary

  Type:
    `dict`
  Value:

        {'None': 1,
         'answer': 27,
         'cache': 14,
         'cached': 15,
         'cachemessage': 25,
         'challenge': 22,
         'class': 2,
         'copy': 13,
        ...

### v

  Type:
    `int`
  Value:

        18

Generated by Epydoc 2.0 on Wed Feb 25 07:37:53 2004 | http://epydoc.sf.net